Package org.codehaus.groovy.util

# Class ListHashMap<K,V>

java.lang.Object
org.codehaus.groovy.util.ListHashMap<K,V>

All Implemented Interfaces:
  `Map<K,V>`

public class ListHashMap<K,V> extends Object implements Map<K,V>
This class represents a `Map` that is optimized for a small number of entries. For a number of entries up to `listSize` the entries are stored in arrays. After `listSize` entries are exceeded storage switches internally to a `Map` and converts back to being array based when its size is less than or equal to `listSize`. Null keys or values are not supported. This class is not thread safe.

Author:
  Jochen "blackdrag" Theodorou

## Nested Class Summary

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`ListHashMap()`
`ListHashMap(int listSize)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`boolean`
`containsKey(Object key)`
`boolean`
`containsValue(Object value)`
`Set<Map.Entry<K,V>>`
`entrySet()`
`V`
`get(Object key)`
`boolean`
`isEmpty()`
`Set<K>`
`keySet()`
`V`
`put(K key, V value)`
`void`
`putAll(Map<? extends K,? extends V> m)`
`V`
`remove(Object key)`
`int`
`size()`
`Collection<V>`
`values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

## Constructor Details

### ListHashMap

public ListHashMap()

### ListHashMap

public ListHashMap(int listSize)

## Method Details

### clear

public void clear()

Specified by:
  `clear` in interface `Map<K,V>`

### containsKey

public boolean containsKey(Object key)

Specified by:
  `containsKey` in interface `Map<K,V>`

### containsValue

public boolean containsValue(Object value)

Specified by:
  `containsValue` in interface `Map<K,V>`

### entrySet

public Set<Map.Entry<K,V>> entrySet()

Specified by:
  `entrySet` in interface `Map<K,V>`

### get

public V get(Object key)

Specified by:
  `get` in interface `Map<K,V>`

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map<K,V>`

### keySet

public Set<K> keySet()

Specified by:
  `keySet` in interface `Map<K,V>`

### put

public V put(K key, V value)

Specified by:
  `put` in interface `Map<K,V>`

### putAll

public void putAll(Map<? extends K,? extends V> m)

Specified by:
  `putAll` in interface `Map<K,V>`

### remove

public V remove(Object key)

Specified by:
  `remove` in interface `Map<K,V>`

### size

public int size()

Specified by:
  `size` in interface `Map<K,V>`

### values

public Collection<V> values()

Specified by:
  `values` in interface `Map<K,V>`